use std::time::SystemTime;



///
pub enum Event
{
    ///
    New
    {
        ///
        path: String,

        ///
        mod_time: SystemTime
    },

    ///
    Modify
    {
        ///
        path: String,

        ///
        mod_time: SystemTime
    },

    ///
    Delete
    {
        ///
        path: String
    }
}


impl std::fmt::Display for Event
{
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result
    {
        match self
        {
            Event::New(_) =>
            {
                write!(f, "[NEW] {}", self.path)
            }
            Event::Modify(_) =>
            {
                write!(f, "[MOD] {}", self.path)
            }
            Event::Delete =>
            {
                write!(f, "[DEL] {}", self.path)
            }
        }
    }
}
